:root {
  --first: #093069;
  --second: #4a4a49;
  --text-dark: #333;
  --white: #fff;
  --bg: #f7f7f7;
  --font-base: "Titillium Web", sans-serif;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Titillium Web", sans-serif;
}

body {
  margin: 0;
  font-family: "Titillium Web", sans-serif;
  background-color: var(--bg);
}

.hero {
  display: flex;
  height: 100vh;
  width: 100%;
}

.left {
  flex: 1;
  padding: 80px 60px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  color: var(--text-dark);
}

.logo {
  width: 200px;
  /* margin-bottom: 20px; */
}

h1 {
  font-size: 2.5rem;
  font-weight: 500;
  margin-bottom: 20px;
  color: var(--text-dark);
}

.red-text {
  color: var(--first);

  font-size: 2.6rem;
  margin-left: 5px;
}

h2 {
  font-size: 1rem;
  line-height: 1.6;
  margin-bottom: 20px;
  color: var(--second);
  font-weight: 500;
}

.red-btn {
  background-color: var(--first);
  color: white;
  border: none;
  padding: 14px 24px;
  font-weight: bold;
  font-size: 1rem;
  border-radius: 4px;
  cursor: pointer;
  width: fit-content;
  margin-top: 10px;
  transition: background 0.3s;
}

.right {
  flex: 1;
  height: 100%;
}

.right img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.product-showcase {
  background-color: var(--white);
  padding: 60px 20px;
  text-align: center;
  font-family: var(--font-base);
}

.product-slider-section {
  padding: 0px 20px;
}

.product-slider-section h2 {
  font-size: 2.5rem;
  font-weight: 500;
  margin-bottom: 20px;
  text-align: center;
  color: var(--text-dark);
}

.text {
  color: var(--first);

  font-size: 2.6rem;
  margin-left: 5px;
}

.product-name {
  font-weight: bold;
}

.section-heading {
  font-size: 1.8rem;
  color: var(--text-dark);
  font-weight: bold;
  margin-bottom: 40px;
}

/* Swiper */

.swiper-container {
  position: relative;
  width: 100%;
  max-width: 1300px;
  margin: 0 auto;
  padding-bottom: 40px;
}

.swiper-wrapper {
  display: flex;
}

.swiper-slide {
  flex-shrink: 0;
  width: 300px;
  height: 400px;
  margin-right: 20px;
  background-color: var(--bg);
  border-radius: 10px;
  overflow: hidden;
  /* box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1); */
  display: flex !important;
  flex-direction: column;
  align-items: center;
}

.swiper-slide-color {
  height: 200px !important;
}

.swiper-slide img {
  /* width: 100%; */
  height: 75%;
  object-fit: cover;
  border-bottom: 1px solid #ccc;
  margin: auto;
}

.product-name {
  /* height: 15%; */
  width: 100%;
  padding: 10px;
  font-size: 16px;
  color: var(--first);
  text-align: center;
  background-color: var(--white);
}

.mySwiper {
  padding: 20px !important;
}

.swiper-button-next:after,
.swiper-rtl .swiper-button-prev:after {
  content: "next";
  /* color: red; */
}

.swiper-button-prev:after,
.swiper-rtl .swiper-button-next:after {
  content: "prev";
  /* color: red; */
}

/* .configurator-section {
  background-color: var(--bg);
  padding: 80px 0;
  font-family: var(--font-base);
}

.configurator-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 40px;
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 20px;
}

.configurator-block {
  flex: 1 1 45%;
  max-width: 500px;
  text-align: center;
}

.configurator-block h3 {
  font-size: 22px;
  color: var(--text-dark);
  font-weight: 600;
  margin-bottom: 10px;
}

.configurator-block p {
  color: var(--second);
  font-size: 16px;
  margin-bottom: 20px;
}

.configurator-block img {
  width: 100%;
  height: 250px;
  object-fit: cover;
  border-radius: 8px;
  margin-bottom: 20px;
  box-shadow: 0 4px 14px rgba(0, 0, 0, 0.05);
}

.configurator-btn {
  display: inline-block;
  background-color: var(--first);
  color: var(--white);
  padding: 12px 24px;
  text-decoration: none;
  font-weight: bold;
  border-radius: 4px;
  transition: background 0.3s ease;
} */

.why-aluminium {
  background-color: var(--bg);
  padding: 0px 20px;
  text-align: center;
  font-family: var(--font-base);
  padding-bottom: 40px;
}

.why-title {
  font-size: 2.5rem;
  font-weight: 500;
  margin-bottom: 35px;
  color: var(--text-dark);

  line-height: 1.4;
}

.why-title .script {
  color: var(--first);

  font-size: 2.6rem;
  margin-left: 5px;
}

.features {
  display: flex;
  grid-template-columns: auto auto auto;
  justify-content: space-around;
  flex-wrap: wrap;
  gap: 20px;
  max-width: 1000px;
  margin: 0 auto 40px;
}

.feature {
  flex: 1 1;
  min-width: 180px;
}

.feature img {
  width: 60px;
  height: 60px;
  margin-bottom: 15px;
}

.feature p {
  color: var(--text-dark);
  font-weight: 500;
  font-size: 15px;
}

/* Button */
.btn-outline {
  padding: 10px 24px;
  border: 2px solid var(--first);
  color: var(--first);
  text-decoration: none;
  font-weight: bold;
  transition: 0.3s;
}

.btn-outline:hover {
  background-color: var(--first);
  color: var(--white);
}

.color-section {
  text-align: center;
  padding: 1px 20px;
  background-color: #fff;
}

.color-section h2 {
  font-size: 2.5rem;
  font-weight: 500;
  margin-bottom: 20px;
  color: var(--text-dark);
}

.color-text {
  color: var(--first);

  font-size: 2.6rem;
  margin-left: 5px;
}

.frame-image {
  display: flex;
  justify-content: center;
  margin-bottom: 30px;
}

.frame-image img {
  /* max-width: 90%; */
  max-width: 300px;
  transform: scale(1.5);

  /* height: auto; */
  /* max-height: 300px; */
  object-fit: contain;
}

.section-title {
  font-size: 2.5rem;
  font-weight: 500;
  margin-bottom: 20px;
  text-align: center;
  color: var(--text-dark);
}

.highlight {
  font-size: 2.6rem;
  font-weight: 500;
  color: var(--first);
}

@media (max-width: 375px) {
  .frame-image img {
    transform: scale(1);
  }
}

@media (max-width: 400px) and (min-width: 350px) {
  .frame-image img {
    transform: scale(1.2);
  }
}

@media (max-width: 767px) and (min-width: 401px) {
  .frame-image img {
    transform: scale(1.3);
  }
}

/* .color-container {
  display: grid;
  grid-template-columns: 1fr;
  gap: 25px;
  justify-items: center;
}

.color-swatch {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 8px;
} */

/* Colored boxes */
/* .color-box {
  width: 70px;
  height: 70px;
  border-radius: 8px;
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.1);
}

.color-swatch p {
  margin: 0;
  font-weight: bold;
  color: #000;
  font-size: 16px;
  text-align: center;
}

.black {
  background-color: #000;
}

.white {
  background-color: #fff;
  border: 1px solid #ccc;
}

.jet-black {
  background-color: #111;
}

.oak-malt {
  background-color: #c1a175;
}

.oak-walnut {
  background-color: #814d28;
}

.alpine {
  background-color: #d7d2cc;
}

.concrete {
  background-color: #747171;
}

.grey {
  background-color: #767676;
} */

/* swiper for boxes */
.color-swiper {
  padding: 30px 0;
  width: 100%;
  /* background-color: #000; */
}

.swiper-slide {
  display: flex;
  justify-content: center;
  background-color: white;
  /* margin-top: 10px; */
  /* box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1); */
}

.color-swiper>.swiper-button {
  /* border: 2px solid red; */
}

@media (max-width: 639px) {
  .color-swiper>.swiper-button {
    display: none;
  }
}

.color-swatch {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 8px;
  cursor: pointer;
  transition: transform 0.3s;
}

.color-box {
  width: 70px;
  height: 70px;
  border-radius: 8px;
  background-color: white;
  /* box-shadow: 0 0 8px rgba(0, 0, 0, 0); */
}

.color-swatch p {
  margin: 0;
  font-weight: bold;
  font-size: 16px;
  color: #000;
  text-align: center;
}

/* Colors */
.black {
  background-color: #000;
  margin-top: 10px;
}

.white {
  background-color: #fff;
  border: 1px solid #ccc;
  margin-top: 10px;
}

.jet-black {
  background-color: #111;
  margin-top: 10px;
}

.oak-malt {
  background-color: #c1a175;
  margin-top: 10px;
}

.oak-walnut {
  background-color: #814d28;
  margin-top: 10px;
}

.alpine {
  background-color: #d7d2cc;
  margin-top: 10px;
}

.concrete {
  background-color: #747171;
  margin-top: 10px;
}

.grey {
  background-color: #767676;
  margin-top: 10px;
}

/* Arrows */

/* end of box css */

.new-swiper {
  margin-top: 40px;
}

.new-swiper .swiper-button-next,
.new-swiper .swiper-button-prev {
  color: red;
}

.new-swiper .swiper-slide {
  text-align: center;
  overflow: hidden;
}

.new-swiper img {
  width: 100%;
  height: auto;
  border-radius: 10px;
}

.new-swiper {
  padding: 10px;
}

@media (max-width: 639px) {
  .new-swiper .swiper-slide {
    width: 100%;
  }

  .new-swiper img {
    width: 100%;
    height: auto;
  }

  .project-caption {
    font-size: 0.9rem;
  }
}

.project-caption {
  margin-top: 8px;
  font-size: 1rem;
  font-weight: 500;
  color: #333;
}

.project-content h3 {
  font-size: 2.5rem;
  font-weight: 500;
  color: var(--text-dark);
  margin-bottom: 20px;
}

/* .project-content p {
  font-size: 16px;
  color: var(--second);
  line-height: 1.6;
  margin-bottom: 25px;
} */

.cta-link {
  font-weight: bold;
  color: var(--text-dark);
  text-decoration: none;
  font-size: 15px;
}

.cta-link .arrow {
  color: var(--first);
  font-weight: bold;
  margin-left: 5px;
  transition: margin-left 0.3s ease;
}

.cta-link:hover .arrow {
  margin-left: 10px;
}

/* Heading styling */
.section-title h2 {
  font-size: 2.5rem;
  font-weight: 500;
  color: var(--text-dark);
  margin-bottom: 40px;
  text-align: center;
}

.section-title .highlight {
  color: var(--first);

  font-size: 2.6rem;
  margin-left: 5px;
}

.contact-cta-section {
  background-color: var(--bg);
  padding: 40px 20px;
  text-align: center;
}

.contact-cta-title {
  font-size: 2.5rem;
  font-weight: 500;
  color: var(--text-dark);

  margin-bottom: 10px;
}

.contact-cta-title .script-word {
  color: var(--first);

  font-size: 2.6rem;
  margin-left: 5px;
}

.contact-subtitle {
  font-size: 20px;
  font-weight: bold;
  color: var(--text-dark);
  margin: 20px 0;
}

.contact-text {
  font-size: 16px;
  color: var(--second);
  max-width: 700px;
  margin: 0 auto 30px;
  line-height: 1.6;
}

.contact-button {
  background-color: var(--first);
  color: var(--white);
  padding: 14px 28px;
  font-weight: bold;
  text-decoration: none;
  border-radius: 2px;
  display: inline-block;
  font-size: 14px;
  transition: background 0.3s ease;
}

.contact-button:hover {
  background-color: var(--first);
}

.contact-section {
  display: flex;
  justify-content: space-between;
  padding: 50px;
  padding-top: 25px !important;
  background-color: #f8f8f8;
  gap: 40px;
}

.contact-left {
  flex: 1;
  padding-left: 200px;
}

.contact-left h3 {
  font-size: 20px;
  margin-bottom: 20px;
  color: #333;
}

.contact-left p {
  margin: 10px 0;
  font-size: 16px;
  color: #333;
}

.contact-left a {
  color: blue;
  text-decoration: none;
}

.contact-form {
  flex: 1;
  background: white;
  padding: 30px;
  border-radius: 10px;
  box-shadow: 0px 5px 20px rgba(0, 0, 0, 0.1);
}

.contact-form .Category {
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 6px;
}

.contact-form h3 {
  margin-bottom: 20px;
  color: #333;
  font-size: 20px;
  text-align: center;
}

form {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.form-row {
  display: flex;
  gap: 15px;
}

input,
textarea {
  /* flex: 1; */
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 6px;
  font-size: 14px;
  width: 100%;
  box-sizing: border-box;
}

@media (max-width: 768px) {

  input,
  textarea {
    padding: 5px;
  }
}

textarea {
  resize: none;
}

button {
  width: 100px;
  padding: 10px;
  background-color: var(--first);
  color: white;
  border: none;
  border-radius: 6px;
  font-weight: bold;
  cursor: pointer;
  transition: background 0.3s ease;
}

button:hover {
  background-color: var(--first);
}

.footer {
  background-color: var(--first);

  text-align: center;
  padding: 20px 10px;
  font-weight: bold;
  font-size: 16px;
}

.footer a {
  color: var(--white);
  text-decoration: none;
}

.footer p {
  color: var(--white);
}

/* Popup Modal Styles */
.popup-form {
  display: none;
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.6);
}

.popup-content {
  background-color: #fff;
  margin: 5% auto;
  padding: 30px;
  border-radius: 10px;
  max-width: 450px;
  width: 90%;
  position: relative;
}

@media (max-width: 375px) {
  .popup-content {
    width: 85%;
    align-items: center;
  }
}

@media (max-width: 400px) and (min-width: 375px) {
  .popup-content {
    width: 280px;
    align-items: center;
  }
}

@media (max-width: 767px) and (min-width: 400px) {
  .popup-content {
    width: 300px;
    align-items: center;
  }
}

.popup-content h3 {
  margin-top: 0;
  font-size: 20px;
  text-align: center;
}

.popup-content .Category {
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 6px;
}

.popup-content .form-row {
  display: flex;
  gap: 10px;
  /* margin-bottom: 15px; */
  flex-wrap: wrap;
}

.popup-content input {
  flex: 1;
  padding: 10px;
  width: 100%;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.popup-content textarea {
  flex: 1;
  padding: 10px;
  width: 100%;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

.popup-content button[type="submit"] {
  background-color: #093069;
  color: white;
  padding: 10px;
  border: none;
  border-radius: 5px;
  width: 100%;
  margin-top: 10px;
  cursor: pointer;
}

.close-btn {
  position: absolute;
  top: 10px;
  right: 15px;
  font-size: 24px;
  color: #333;
  cursor: pointer;
}

.call-chat {
  position: fixed;
  bottom: 90px;
  right: 20px;
  z-index: 1000;
}

.call-chat a {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #ffffff;
  color: white;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  text-decoration: none;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
  transition: transform 0.3s;
}

.call-chat svg {
  width: 30px;
  height: 30px;
  fill:black;
}

.call-chat a:hover {
  transform: scale(1.1);
}

.whatsapp-chat {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 1000;
}

.whatsapp-chat a {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #25d366;
  color: white;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  text-decoration: none;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
  transition: transform 0.3s;
}

.whatsapp-chat a:hover {
  transform: scale(1.1);
}

.whatsapp-chat svg {
  width: 30px;
  height: 30px;
  fill: white;
}

@media (max-width: 600px) {
  .call-chat a {
    width: 50px;
    height: 50px;
  }

  .call-chat svg {
    width: 24px;
    height: 24px;
  }
}

@media (max-width: 600px) {
  .whatsapp-chat a {
    width: 50px;
    height: 50px;
  }

  .whatsapp-chat svg {
    width: 24px;
    height: 24px;
  }
}

@media (max-width: 768px) {
  form {
    gap: 10px;
  }

  body {
    font-size: 15px;
  }

  .h1 {
    margin-top: 5px;
  }

  .hero {
    flex-direction: column;
    height: auto;
  }

  .left,
  .right {
    padding: 20px 20px;
    /* width: 100%; */
  }

  .right img {
    height: auto;
  }

  .product-showcase {
    padding: 40px 15px;
  }

  /* .section-heading {
    font-size: 1.5rem;
    margin-bottom: 30px;
  } */

  .swiper-slide {
    /* width: 240px !important; */
    height: 300px !important;
    margin-right: 15px;
  }

  .swiper-slide-color {
    height: 100px !important;
  }

  @media (max-width: 639px) {
    .swiper-slide-color {
      padding-bottom: 20px;
    }
  }

  .configurator-wrapper {
    flex-direction: column;
    gap: 30px;
  }

  .configurator-block {
    max-width: 100%;
    padding: 0 10px;
  }

  .configurator-block h3 {
    font-size: 20px;
  }

  .configurator-block p {
    font-size: 15px;
  }

  /* .why-title {
    font-size: 20px;
    margin-bottom: 30px;
  } */

  /* .why-title .script {
    font-size: 24px;
  } */

  .features {
    /* flex-direction: column; */
    grid-template-columns: auto auto auto;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px 5px;
  }

  .feature {
    text-align: center;
    width: 100%;
  }

  .feature img {
    margin-bottom: 10px;
  }

  .feature p {
    font-size: 14px;
  }

  .projects-wrapper {
    flex-direction: column;
    padding: 10px;
  }

  .product-slider-section {
    padding: 20px 20px;
  }

  .product-slider-section h2 {
    margin-top: 5px;
  }

  .project-image,
  .project-content {
    flex: 1 1 100%;
    padding: 0;
  }

  .project-content h3 {
    font-size: 20px;
  }

  .project-content p {
    font-size: 15px;
  }

  .contact-cta-section {
    padding: 20px;
  }

  /* 
  .contact-cta-title {
    font-size: 22px;
  } */
  /* 
  .contact-cta-title .script-word {
    font-size: 32px;
  } */

  .contact-subtitle {
    font-size: 17px;
  }

  .why-aluminium {
    padding: 20px 20px;
  }

  .why-title {
    margin-top: 5px;
  }

  .contact-text {
    font-size: 14px;
  }

  .contact-button {
    padding: 12px 24px;
    font-size: 14px;
  }

  /* .section-title {
    font-size: 26px;
  } */

  /* .section-title .highlight {
    font-size: 36px;
  } */

  .contact-section {
    flex-direction: column;
    padding: 30px 20px;
    padding-top: 10px !important;
    gap: 30px;
  }

  .form-row {
    flex-direction: column;
    margin-bottom: 0px !important;
  }

  /* .form-row input {
    min-width: 100%;
  } */

  .contact-form {
    padding: 35px;
  }

  .contact-left {
    padding: 35px;
    padding-top: 10px !important;
  }

  button {
    width: 100%;
  }

  .features {
    /* flex-direction: column; */
    grid-template-columns: auto auto;
    /* align-items: center; */
  }

  .color-section {
    padding: 20px 10px;
  }

  .popup-content input,
  .popup-content textarea {
    width: auto;
  }
}